
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "bruhl/version"

Gem::Specification.new do |spec|
  spec.name          = "bruhl"
  spec.version       = Bruhl::VERSION
  spec.authors       = ["Will Chappell"]
  spec.email         = ["wtchappell@gmail.com"]

  spec.summary       = "Tools for Clausewitz game engine data"
  spec.description   = "bruhl provides an API to parse, generate, and " +
    "manipulate the data files used by video games using the Clausewitz "    +
    "strategy game engine by Paradox."
  spec.homepage      = "http://github.com/wtchappell/bruhl"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "bin"
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "awesome_print"
	spec.add_development_dependency "bundler", "~> 2.1.4"
  spec.add_development_dependency "pry"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"

  spec.add_dependency "citrus", "~> 3.0"
  spec.add_dependency "hirb-unicode"
  spec.add_dependency "tty-table"
end
